Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal
Class UserInstanceManager

    java.lang.Object
      org.jasig.portal.UserInstanceManager

    public class UserInstanceManager

extends java.lang.Object

Determines which user instance object to use for a given user.

Version:
  $Revision 1.1$
Author:
  Peter Kharchenko

Nested Class Summary
`private static class` | `UserInstanceManager.UserInstanceHolder` Serializable wrapper class so the UserInstance object can be indirectly stored in the session.

Field Summary
`(package private) static java.util.Hashtable` | `guestUserInstances`
`private static org.apache.commons.logging.Log` | `log`

Constructor Summary
`UserInstanceManager()`

Method Summary
`static UserInstance` | `getUserInstance(javax.servlet.http.HttpServletRequest request)` Returns the UserInstance object that is associated with the given request.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    private static final org.apache.commons.logging.Log log

### guestUserInstances

    static java.util.Hashtable guestUserInstances

Constructor Detail

### UserInstanceManager

    public UserInstanceManager()

Method Detail

### getUserInstance

    public static UserInstance getUserInstance(javax.servlet.http.HttpServletRequest request)
                                        throws PortalException

  Returns the UserInstance object that is associated with the given request.

  Parameters:
    `request` - Incoming HttpServletRequest
  Returns:
    UserInstance object associated with the given request
  Throws:
    `PortalException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD